//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LabKPZDB_EF
{
    using System;
    using System.Collections.Generic;
    
    public partial class User
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public User()
        {
            this.InvitedUsers = new HashSet<InvitedUser>();
            this.Refills = new HashSet<Refill>();
            this.Tickets = new HashSet<Ticket>();
        }
    
        public int uid { get; set; }
        public string uname { get; set; }
        public string usurname { get; set; }
        public double ubalance { get; set; }
        public string email { get; set; }
        public string city { get; set; }
        public string street { get; set; }
        public string buildingNumber { get; set; }
        public string flatNumber { get; set; }
        public Nullable<int> cid { get; set; }
        public Nullable<int> mid { get; set; }
    
        public virtual ConnectionApplication ConnectionApplication { get; set; }
        public virtual Contract Contract { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<InvitedUser> InvitedUsers { get; set; }
        public virtual Manager Manager { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Refill> Refills { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Ticket> Tickets { get; set; }
    }
}
